Skip to end of metadata
    Go to start of metadata

    Datavard Insights Connector contains adapters that are used to replicate local SAP system events into application events via different APIs. The used adapter can be selected using t-code /DVD/APPD_CC under Report events via drop-down list.

    Only Machine Agent adapter was available before 20.11.0 release. As of release 20.11.0, HTTP SDK is the default adapter for new installations.

    Machine Agent Adapter

    This adapter connects to HTTP listener of Machine Agent instances installed on every SAP application server. For this adapter to work correctly, the Machine Agent instances must be installed, configured, and run with activated HTTP listener.

    Connection status of this adapter can be validated using t-code /DVD/APPD_STATUS via Machine agent row status under each node. When Machine Agent adapter connection fails, application events are not sent to the controller. 

    This adapter is also used for forwarding metrics and application events to external systems, see Setup Monitoring of External Systems with Datavard Insights

    HTTP SDK Adapter

    This adapter uses the existing connection from ABAP Agent to HTTP SDK. For this adapter to work correctly, HTTP SDK version 20.11.0 or newer must be used.

    Event count limit

    The new event API used by HTTP SDK Adapter is currently limited to 100 events per minute in HTTP SDK =< 21.5.0. HTTP SDK => 21.8.0 increases the default limit to 500 events per minute. This cannot be changed by any parameter. If the expected volume of application events exceeds this limit, Machine Agent Adapter needs to be used.


    No extra installation or setup steps are needed for this adapter to work. Once the correct HTTP SDK version is installed and running, this adapter will work seamlessly.

    Connection status of this adapter can be validated using t-code /DVD/APPD_STATUS via HTTP SDK process and HTTP SDK connector row status under each node. When HTTP SDK adapter connection fails, application events will not be sent to the controller.

    When HTTP SDK adapter is used with incompatible HTTP SDK version (older than 20.11.0) the following status error message will appear:

    • No labels